package com.example.config;

import com.example.frame.utils.FileUtil;
import com.example.frame.utils.ZipUtil;
import com.example.module.admin.ent.Mapping;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.system.ApplicationHome;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.env.Environment;
import org.springframework.core.io.ClassPathResource;
import org.springframework.core.io.Resource;
import org.springframework.util.StringUtils;
import xyz.wbsite.wsqlite.ObjectClient;

import javax.annotation.PostConstruct;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.sql.SQLException;
import java.util.ArrayList;


@Configuration
public class SqliteConfig {
    @Autowired
    public Environment environment;

    @Bean
    public ObjectClient registry() {
        try {
            String dbpath = environment.getProperty("dbpath");
            if (StringUtils.isEmpty(dbpath)) {
                ApplicationHome home = new ApplicationHome(getClass());
                // 当前运行jar文件
                File jarFile = home.getSource() != null ? home.getSource() : home.getDir();
                //jar同目录
                dbpath = jarFile.getParent();
            }

            ArrayList<Class> objects = new ArrayList<>();
            objects.add(Mapping.class);
            return new ObjectClient(new File(dbpath, "data.db"), objects);
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return null;
    }
}
